Bug 278251 - CTRL-ALT-KP-+/- zooming doesn't work
CTRL-ALT-KP-+/- zooming doesn't work
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-05 08:06 EDT by david.hagood
Modified: 2009-07-14 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf file (3.68 KB, application/octet-stream)
2007-09-06 08:14 EDT, david.hagood
no flags Details
X log file, using the attached config (69.16 KB, text/plain)
2007-09-06 08:16 EDT, david.hagood
no flags Details
X server log, without any xorg.conf file (67.76 KB, application/octet-stream)
2007-09-06 08:18 EDT, david.hagood
no flags Details

  None (edit)
Description david.hagood 2007-09-05 08:06:41 EDT
Description of problem:
Using the CTRL-ALT-KP-+/- keys to change the X server display resolution no
longer works.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. startx

Actual results:
None. No additional data is logged to the X server log /var/log/Xorg.0.log

Expected results:
Resolution should change to the next resolution specified in the X server

Additional info:
Using Free ATI drivers on a Radeon 9600.
Comment 1 Matěj Cepl 2007-09-05 10:06:28 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 david.hagood 2007-09-06 08:14:45 EDT
Created attachment 188661 [details]
xorg.conf file 

X configuration file - UNCHANGED since before the problem manifested itself
Comment 3 david.hagood 2007-09-06 08:16:06 EDT
Created attachment 188681 [details]
X log file, using the attached config

This is the X server log file from a run with the configuration file of the
previous attachement.
Comment 4 david.hagood 2007-09-06 08:18:06 EDT
Created attachment 188691 [details]
X server log, without any xorg.conf file

This is the X server log when X is started without any configuration file.
NOTE: The X server DID NOT successfully detect the monitor, and was generating
a scan rate the monitor would not accept.
Comment 5 Bug Zapper 2008-04-04 09:45:44 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 david.hagood 2008-04-04 12:43:14 EDT
Nope - still there in Rawhide.
Comment 7 Bug Zapper 2008-05-13 23:11:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 8 Bug Zapper 2009-06-09 18:49:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-07-14 12:45:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.